curl --request POST \ --url https://api.apimart.ai/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9" }'
import requestsurl = "https://api.apimart.ai/v1/videos/generations"payload = { "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";const payload = { model: "MiniMax-H3", prompt: "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", duration: 5, resolution: "2K", aspect_ratio: "16:9"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://api.apimart.ai/v1/videos/generations" payload := map[string]interface{}{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://api.apimart.ai/v1/videos/generations"; String payload = """ { "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://api.apimart.ai/v1/videos/generations";$payload = [ "model" => "MiniMax-H3", "prompt" => "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration" => 5, "resolution" => "2K", "aspect_ratio" => "16:9"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://api.apimart.ai/v1/videos/generations")payload = { model: "MiniMax-H3", prompt: "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", duration: 5, resolution: "2K", aspect_ratio: "16:9"}http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://api.apimart.ai/v1/videos/generations")!let payload: [String: Any] = [ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://api.apimart.ai/v1/videos/generations"; var payload = @"{ ""model"": ""MiniMax-H3"", ""prompt"": ""A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work"", ""duration"": 5, ""resolution"": ""2K"", ""aspect_ratio"": ""16:9"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
MiniMax-Hailuo-02 / MiniMax-Hailuo-2.3 と同一の提出・照会 API を共有
POST
/
v1
/
videos
/
generations
curl --request POST \ --url https://api.apimart.ai/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9" }'
import requestsurl = "https://api.apimart.ai/v1/videos/generations"payload = { "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";const payload = { model: "MiniMax-H3", prompt: "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", duration: 5, resolution: "2K", aspect_ratio: "16:9"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://api.apimart.ai/v1/videos/generations" payload := map[string]interface{}{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://api.apimart.ai/v1/videos/generations"; String payload = """ { "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://api.apimart.ai/v1/videos/generations";$payload = [ "model" => "MiniMax-H3", "prompt" => "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration" => 5, "resolution" => "2K", "aspect_ratio" => "16:9"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://api.apimart.ai/v1/videos/generations")payload = { model: "MiniMax-H3", prompt: "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", duration: 5, resolution: "2K", aspect_ratio: "16:9"}http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://api.apimart.ai/v1/videos/generations")!let payload: [String: Any] = [ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://api.apimart.ai/v1/videos/generations"; var payload = @"{ ""model"": ""MiniMax-H3"", ""prompt"": ""A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work"", ""duration"": 5, ""resolution"": ""2K"", ""aspect_ratio"": ""16:9"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
curl --request POST \ --url https://api.apimart.ai/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9" }'
import requestsurl = "https://api.apimart.ai/v1/videos/generations"payload = { "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";const payload = { model: "MiniMax-H3", prompt: "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", duration: 5, resolution: "2K", aspect_ratio: "16:9"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://api.apimart.ai/v1/videos/generations" payload := map[string]interface{}{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://api.apimart.ai/v1/videos/generations"; String payload = """ { "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://api.apimart.ai/v1/videos/generations";$payload = [ "model" => "MiniMax-H3", "prompt" => "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration" => 5, "resolution" => "2K", "aspect_ratio" => "16:9"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://api.apimart.ai/v1/videos/generations")payload = { model: "MiniMax-H3", prompt: "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", duration: 5, resolution: "2K", aspect_ratio: "16:9"}http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://api.apimart.ai/v1/videos/generations")!let payload: [String: Any] = [ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 5, "resolution": "2K", "aspect_ratio": "16:9"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://api.apimart.ai/v1/videos/generations"; var payload = @"{ ""model"": ""MiniMax-H3"", ""prompt"": ""A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work"", ""duration"": 5, ""resolution"": ""2K"", ""aspect_ratio"": ""16:9"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
動画コンテンツの説明。あらゆるシナリオで必須かつ空にできません。1 リクエストあたり最大 7000 文字。シーン、主体、動作、スタイルなどを詳しく記述すると、より良い生成結果が得られます。例:"A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work"
{ "model": "MiniMax-H3", "prompt": "A boy playing basketball by the sea at dusk, waves crashing, cinematic camera work", "duration": 6, "resolution": "2K", "aspect_ratio": "16:9"}
{ "model": "MiniMax-H3", "prompt": "Pull focus to the people in the background and add more steam to the ramen bowl.", "first_frame_image": "https://cdn.example.com/ramen.png", "duration": 5, "resolution": "2K"}